Name:          libnss_mdns
Version:       0.15.1
Release:       1mamba
Summary:       A plugin for the GNU Name Service Switch (NSS) functionality providing host name resolution via Multicast DNS 
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lathiat/nss-mdns
Source:        https://github.com/lathiat/nss-mdns.git/v%{version}/nss-mdns-%{version}.tar.bz2
#Source:        http://0pointer.de/lennart/projects/nss-mdns/nss-mdns-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
nss-mdns is a plugin for the GNU Name Service Switch (NSS) functionality of the GNU C Library (glibc) providing host name resolution via Multicast DNS (aka Zeroconf, aka Apple Rendezvous, aka Apple Bonjour), effectively allowing name resolution by common Unix/Linux programs in the ad-hoc mDNS domain .local.

%debug_package

%prep
%setup -q -n nss-mdns-%{version}
#sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub
./bootstrap.sh

%build
%configure \
   --localstatedir=/

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libnss_mdns.so.*
%{_libdir}/libnss_mdns4.so.*
%{_libdir}/libnss_mdns4_minimal.so.*
%{_libdir}/libnss_mdns6.so.*
%{_libdir}/libnss_mdns6_minimal.so.*
%{_libdir}/libnss_mdns_minimal.so.*
%doc LICENSE

%changelog
* Wed Mar 15 2023 Automatic Build System <autodist@mambasoft.it> 0.15.1-1mamba
- automatic update by autodist

* Sat May 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.1-1mamba
- update to 0.14.1

* Wed Apr 30 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-2mamba
- rebuilt with --libdir=/%{_lib} to refer to avahi socket under /run instead of /var/run
- also install in --prefix=/

* Sat Jul 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-1mamba
- package created by autospec
